% ----------------------
% runme.m
% ----------------------
% 'Blanchard_government': Chapter 4.6
% March 3, 2014 Philip Schuster
% 
% computes the transition of a shock
% in a simple Blanchard model (open economy)
% with intensive and extensive margin labor supply
% and a government
% ----------------------

clear all;  % clear all variables
clc;        % clear screen

fprintf('BLANCHARD MODEL OF OPEN ECONOMY - TRANSITIONAL DYNAMICS\n\n');

% DATA AND CALIBRATION
global tend findrootmethod budget_bal

findrootmethod  = 1;    % use simple Newton-Raphson method (=1)
tend            = 400;  % number of periods
budget_bal      = 6;    % budget balance rule
% 1.. tauW, 2.. tauF, 3.. tauC, 4.. taul, 5.. tauprof, 6.. cG

param; % loads exogenous parameters
calib; % calibrates the model

% COMPUTE JACOBIAN FOR DYNAMIC SOLUTION
jacob = compjacob(guess);

% COMPUTE INITIAL STEADY STATE
ISS;

% REFORMS
b = b*1.03;
%DGtarget(2:30)      = DG0*(1+(0:1/(30-2):1)*0.1);
%DGtarget(31:tend)   = DG0*ones(1,tend-30)*1.1;

% COMPUTE FINAL STEADY STATE
FSS;

% SOLVE FOR TRANSITIONS
[actual, retcode] = gft(guess,jacob);   % Generalized Fair-Taylor
%[actual, retcode] = ft(guess);         % Original Fair-Taylor
